org.richfaces.component

## Class AbstractDataTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDataAdaptor
      - - org.richfaces.component.UISequence
        - - org.richfaces.component.UIDataTableBase
          - - org.richfaces.component.AbstractDataTable

- All Implemented Interfaces:
    EventListener, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, Row, org.richfaces.ui.common.meta.MetaComponentEncoder, org.richfaces.ui.common.meta.MetaComponentResolver, org.richfaces.ui.iteration.IterationStateHolder
  Direct Known Subclasses:
    UIDataTable

      public abstract class AbstractDataTable
      extends UIDataTableBase

  The <rich:dataTable> component is used to render a table, including the table's caption. It works in conjunction with the <rich:column> and <rich:columnGroup> components to list the contents of a data model.

  Author:
    Anton Belevich

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataTableBase

      `UIDataTableBase.PropertyKeys`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor

      `org.richfaces.component.UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CAPTION_FACET_NAME`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UIDataTableBase

      `BODY, FOOTER, FOOTER_FACET_NAME, HEADER, HEADER_FACET_NAME, NODATA_FACET_NAME`

    - ### Fields inherited from class org.richfaces.component.UIDataAdaptor

      `decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.ui.common.meta.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDataTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract javax.faces.component.UIComponent` | `getCaption()`
    `abstract String` | `getCaptionClass()` Assigns one or more space-separated CSS class names to the component caption
    `abstract String` | `getStyleClass()`

    - ### Methods inherited from class org.richfaces.component.UIDataTableBase

      `addFilteringListener, addSortingListener, columns, createExtendedDataModel, dataChildren, encodeMetaComponent, fixedChildren, getColumnClasses, getFilteringListeners, getFilterVar, getFooter, getFooterClass, getHeader, getHeaderClass, getNoData, getNoDataLabel, getOnrowclick, getOnrowdblclick, getOnrowkeydown, getOnrowkeypress, getOnrowkeyup, getOnrowmousedown, getOnrowmousemove, getOnrowmouseout, getOnrowmouseover, getOnrowmouseup, getRendersChildren, getRowClass, getRowClasses, getSortingListeners, getSortMode, getSortPriority, getStyle, getSupportedMetaComponents, hasRowChildren, isColumnFacetPresent, queueEvent, removeFilteringListener, removeSortingListener, resolveClientId, restoreChildState, substituteUnresolvedClientId, visitDataChildren, visitFixedChildren, walk`

    - ### Methods inherited from class org.richfaces.component.UISequence

      `captureOrigValue, createComponentState, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getRows, getValue, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setRows, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

    - ### Methods inherited from class org.richfaces.component.UIDataAdaptor

      `allFixedChildren, broadcast, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getFamily, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, resetChildState, resetDataModel, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildrenMetaComponents, visitTree, walk, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.Row

      `setRowKey, walk`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### CAPTION_FACET_NAME

          public static final String CAPTION_FACET_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractDataTable

          public AbstractDataTable()

  - ### Method Detail

    - #### getCaptionClass

          public abstract String getCaptionClass()

      Assigns one or more space-separated CSS class names to the component caption

    - #### getStyleClass

          public abstract String getStyleClass()

    - #### getCaption

          public abstract javax.faces.component.UIComponent getCaption()

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.